Create default actions should not add all the actions every time

2016-12-26 04:28 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23928

Description

Bug report or feature request?

Open Layer properties dialog --> Actions

Click on "Create default actions": predefined actions are added to the dialog

Click again (this can happen also by mistake): the same actions are added. and again and again... If it was by mistake, you'd then need to

removed duplicate functions one by one (so fun!).

I think that this diaog shouldn't allow to have same actions multiple times. Maybe a constraint based on Description (and/or short name?),

given that these are items that help identify the actions in other contexts (Identify tool, Attribute tabe) should be added to avoid duplicate

items. So, when you hit again the button, only actions that were renamed in the meantime would be added.

2.18.2 and master

Associated revisions

Revision d12c41f2 - 2017-01-03 07:37 PM - Matthias Kuhn 

Don't add default actions multiple times

Fix #16013

History

#1 - 2017-01-03 10:34 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"d12c41f23240f488202b83ffda3bbb94f5c4311b".

2024-04-09 1/1


